Subject: [os2genau_digest] No. 1249
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 24 Jan 2006 00:02:32 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 23 January 2006
 Number  1249
**************************************************

Subjects for today
 
1  Re:  Print Server Configuration - help please : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2  Re:  Print Server was eCS 1.2 and printing from Faxworks/PMFax : John Angelico" <talldad at kepl dot com dot au>
3  Re:  Print Server was eCS 1.2 and printing from Faxworks/PMFax : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  Print Server was eCS 1.2 and printing from Faxworks/PMFax : John Angelico" <talldad at kepl dot com dot au>
5  Re:  Print Server was eCS 1.2 and printing from Faxworks/PMFax : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 23 Jan 2006 10:02:53 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Print Server Configuration - help please

On Sun, 22 Jan 2006 17:42:06 +1100, Ed Durrant wrote:

>Chris Graham [WarpSpeed] wrote:
>> On Sun, 22 Jan 2006 14:38:29 +1100, Ed Durrant wrote:
>> 
>>> Chris Graham [WarpSpeed] wrote:
>>>> On Sat, 21 Jan 2006 11:38:23 +1100 (AEDT), John Angelico wrote:
>>>>
>>>>> On Sat, 21 Jan 2006 08:16:14 +1100, Ed Durrant wrote:
>>>>>
>>>>> Hi Ed.
>>>>>
>>>>> Many thanks for ther detailed instructions.
>>>>>
>>>>>>   Although some, like yours can use Netbios my experience is the 
>>>>>> simplest way to set them up is to use TCPIP. You will need to load the 
>>>>>> line printer daemon (LPD) on OS/2 - there are alternative (faster) 
>>>>>> options but I generally find the one built into the OS/2 TCPIP stack to 
>>>>>> be the most reliable and compatible.
>>>>>>
>>>>>>   So go to a command line and run TCPCFG2.
>>>>> First question: in this network of 4 machines, plus hubs and a couple of
>>>>> transient ThinkPads, on *which* machine should I be running TCPCFG2? 
>>>>>
>>>>> Then: should I run TCPCFG2 on each machine in turn?
>>>> All of them.
>>>>
>>>> But, Ed's instructions appear to get you to set up a LOCAL printer
>>>> definition. That you should be able to share, so that ia appears to be a
>>>> network printer to all of the other machines, in which case you should be
>>>> able to use NETGUI to configure the accounts to use it as necessary and not
>>>> use tcpcfg2 on the other machines at all.
>>>>
>>>> That assumes you are using a domain with a domain controller (and people
>>>> wonder why I still have WSeB...). If you are running a peer based
>>>> workgroup, then you'll have to add the remote network printer on each
>>>> machine.
>>>>
>>>> -Chris
>>>>
>>> No Chris - the real "Gotcha" of an LPRD / TCPIP printer is that it is a 
>>> local printer. A network printer is one that you have to go via another 
>>> server (with a print queue) to get to.
>> 
>> No Ed - that is exactly what I am saying.
>> 
>> What I was suggesting is that you had one machine that you use the local
>> printer defintion on, which by definition gives you a print queue. My
>> suggestion was simply to share it and have the other machines use it as a
>> remote network printer.
>> 
>> -Chris
>
>My instruction was not to set up a system to share the printer - rather 
>to set all systems to send their data to the printer (or in fact the 
>printer sharing hardware (Intel Proshare) box).

Yes, I clearly read and understood that, I simply presented a faster,
easier, more centralized way of doing it.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 23 Jan 2006 20:52:29 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Print Server was eCS 1.2 and printing from Faxworks/PMFax

On Mon, 23 Jan 2006 10:00:46 +1100 (EDT), Chris Graham [WarpSpeed] wrote:

Hi Chris.

>>Could you be confusing my two printing problems Chris<g>?
>>
>>This thread was about Faxworks printing error messages.

With new Subject line, we'll get *properly* confused now!

>Whilst that may be true, did you try what I suggested to get your print
>server working?

I will answer your question twice:
a) short answer = Yes
b) following long answer = useful for all list-ees..

What we did in approx order we did it (without boring you with power off
reset/reboot events):

1. checked print server for power etc. Suspect possible dicky power connector
or onboard/internals loose but the unit works; accept connector condition as
normal wear and tear on 2nd hand unit (paid total of $19.90 including postage
from Sydney via eBay) 
2. downloaded pdf manual 60 pages, covers most PC OSs known to Intel world.
3. printed diags page, found TCP/IP address 192.154. something; Bertie
Wooster would say "Rather rummy, Jeeves?" Jeeves would have replied "Indeed,
sir!" but would barely have moved an eyebrow
4. reset to factory defaults
5. used Netgear router inbuilt DHCP server on our LAN to supply an address in
known range = 192.168.0.101 
6. browsed to address, found and configured the wee beastie, including
supplying a known name PRNSRV
7. for each eCS machine in network followed Ed's instructions: 
	7.1 used TCPCFG2 or command line equivalent to start LPRPORTD
(command line for testing, then in TCPSTART for permanent use)
	7.2 set up a local printer object with Laserjet driver for the
printer (Kyocera FS-1010)
	7.3 connected object to Pipe\LPD0
	7.4 set usual printer options on both object and driver
8. tested printing using various programs:
	8.1 successful with: 
	Mesa/2, PMView, StarOffice 1.1, GSView,
	simple drag/n/drop, Tame/Sane scan to print
	8.2 not successful with DeScribe = show stopper!
	8.3 NB: no work done on dark side, although PDF manual has Win
instructions 
9. Changed printer driver to Postscript.Laserjet for Kyocera FS1010 and
DeScibe was happy; didn't lose any other programs = "high five, this show is
live" "gentlemen, start your engines" and all that excitement stuff

Result: working print server, and printer available despite adjacent computer
being powered off.

Stage 2: duellinlg with the dark side, and possibly finding a way to assign a
pseudo LPT port for Win16 Control Panel to connect.

Know nothing of that side, but need to get Win16 aka WinOS2 working with this
thing

Stage 3: duelling with the dark side to get dual boot ThinkPads in Win XP to
see printer and print.

Manual *looks* clear enough, but you never know...

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... What was the best thing BEFORE sliced bread?
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 23 Jan 2006 22:34:56 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Print Server was eCS 1.2 and printing from Faxworks/PMFax

John Angelico wrote:

> 
> Result: working print server, and printer available despite adjacent computer
> being powered off.
>

Well Done !

> Stage 2: duellinlg with the dark side, and possibly finding a way to assign a
> pseudo LPT port for Win16 Control Panel to connect.
> 
> Know nothing of that side, but need to get Win16 aka WinOS2 working with this
> thing

  Is this really WinOS2 - if so you can set up win3.1 so that it thinks 
it is printing to LPT2 and then assign that to the OS/2 or eCS printer 
queue that is already working with the printer - you wont be able to see 
the LPD0 port from within WinOS2.

If this system is a "Real Win 3.1" system, forget it - you wont get it 
to work.

> 
> Stage 3: duelling with the dark side to get dual boot ThinkPads in Win XP to
> see printer and print.

  WinXP you should be able to follow the WinXP description I gave 
earlier - a similar approach to the OS/2 config - create a "standard IP 
port" under create a local printer, give it the printer's IP address and 
queuename, set up page size, printer options available etc. and off you go.
> 
> Manual *looks* clear enough, but you never know...
> 
> 
> 
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
> ___________________

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 23 Jan 2006 23:53:28 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Print Server was eCS 1.2 and printing from Faxworks/PMFax

On Mon, 23 Jan 2006 22:34:56 +1100, Ed Durrant wrote:

Hi Ed.

>John Angelico wrote:
>
>> 
>> Result: working print server, and printer available despite adjacent computer
>> being powered off.
>>
>
>Well Done !

Congratulate Christopher - he did most.

I have talent as a *specifier* rather than as a doer of things.

>
>> Stage 2: duellinlg with the dark side, and possibly finding a way to assign a
>> pseudo LPT port for Win16 Control Panel to connect.
>> 
>> Know nothing of that side, but need to get Win16 aka WinOS2 working with this
>> thing
>
>  Is this really WinOS2 - if so you can set up win3.1 so that it thinks 
>it is printing to LPT2 and then assign that to the OS/2 or eCS printer 
>queue that is already working with the printer - you wont be able to see 
>the LPD0 port from within WinOS2.

Can't find  "assign Port" in the context menu of the printer object as we can
on a network printer...

>
>If this system is a "Real Win 3.1" system, forget it - you wont get it 
>to work.

"Das mir voek" - that I really need! <g> Apologies to any readers of Yiddish
here. I am recalling an old Yiddish joke purely from fading backup memory...

No it's Win-OS2 in eCS.

>> 
>> Stage 3: duelling with the dark side to get dual boot ThinkPads in Win XP to
>> see printer and print.
>
>  WinXP you should be able to follow the WinXP description I gave 
>earlier - a similar approach to the OS/2 config - create a "standard IP 
>port" under create a local printer, give it the printer's IP address and 
>queuename, set up page size, printer options available etc. and off you go.

Saw a couple of comments and replied. You may scan said replies for any
useful data...

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Windows: (n) 2. The solution to a problem that didn't exist
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 23 Jan 2006 23:47:29 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Print Server was eCS 1.2 and printing from Faxworks/PMFax

On Mon, 23 Jan 2006 22:29:36 +1100 (EDT), Chris Graham [WarpSpeed] wrote:

Hi Chris (via the list, no dupes this time)

>On Mon, 23 Jan 2006 20:52:29 +1100 (AEDT), John Angelico wrote:
>
>>7. for each eCS machine in network followed Ed's instructions: 
>
>Ed gave you the long winded and arduous pain in the ass way of doing
>things, mine (if it works and if you have a domain controller (ie a way of
>modifiying user logon assignments for all users in the one place)) is far
>simpler and faster.

Well, it wasn't *that* bad <g>, and we couldn't meet your condition 1: domain
controller. All we have is peer networking and simple (to my mind) TCPIP. 

Please allow me to gracefully exit the arena so you two duelling banjos can
continue...

>
>>	7.1 used TCPCFG2 or command line equivalent to start LPRPORTD
>>(command line for testing, then in TCPSTART for permanent use)
>>	7.2 set up a local printer object with Laserjet driver for the
>>printer (Kyocera FS-1010)
>>	7.3 connected object to Pipe\LPD0
>
>Do a pstat and you should see the pipe.

Didn' t need it but yes, it's there - somewhere.

>
>>	7.4 set usual printer options on both object and driver
>
>>Stage 2: duellinlg with the dark side, and possibly finding a way to assign a
>>pseudo LPT port for Win16 Control Panel to connect.
>>
>>Know nothing of that side, but need to get Win16 aka WinOS2 working with this
>>thing
>
>Try using a file://pipe/lpd0 (if you can) you get the idea.

Aahh, soo!!

>
>>Stage 3: duelling with the dark side to get dual boot ThinkPads in Win XP to
>>see printer and print.
>
>as someone said, (I was not aware of this one) try the "TCPIP Printer"
>option.

Yes, first try gave me a typical Windows Wizard error - INSCRUTABLE!!

So I stopped - no sense wasting my tiredness on Windows when I can get a
comfortable night's sleep tonight <g>.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Windows XP: eXpensive and Painful
----------------------------------------------------------------------------------